%global srcname molecule-docker
%global modname %(echo %{srcname} | tr - _)

Name:           python-%{srcname}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Molecule Docker plugin
License:        MIT

URL:            https://github.com/ansible-community/molecule-docker
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
Molecule Docker Plugin is designed to allow use docker containers for
provisioning test resources.

%package -n python3-molecule-docker
Summary:        %{summary}

# Follow Fedora Python Packaging Naming Guidelines
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_naming
Provides:       %{srcname} = %{version}-%{release}

# This is set to `Recommends` so users can use the `docker-ce` package if they desire.
Recommends:     moby-engine

%global _description %{expand:
Molecule Docker Plugin is designed to allow use docker containers for
provisioning test resources.}

%description -n python3-molecule-docker

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
# This macro does not work for this project.
# See https://bugzilla.redhat.com/show_bug.cgi?id=2023561 for more info.
# %%pyproject_save_files %%{modname}

%check
# At least, run a basic sanity check.
%py3_check_import %{modname}

# %%files -n python3-%%{srcname} -f %%{pyproject_files}
%files -n python3-%{srcname}
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}.dist-info
%license LICENSE
%doc README.rst

%changelog
* Thu Nov 25 2021 Maxwell G <gotmax@e.email> - 1.1.0-1
- Update to 1.1.0. Fixes rhbz#2017729.
- Implement new Fedora Packaging Guidelines.
- Other miscellaneous fixes.

* Thu Sep 30 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 1.0.2
- Update to version 1.0.2 (#1997956)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.4-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 2020 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.2.4-1
- update to version 0.2.4

* Thu Oct 15 2020 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.2-1
- initial package
